#!/bin/rpm
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Linux System Information
Name:           lime-sysinfo
Version:        1.1.11
Release:        1%{?dist}
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	openwbem 
Requires :  	lime-common
Requires :  	qt > 3.3.3
BuildRequires:  openwbem-devel, lmc-devel, qt > 3.3.3, qt-devel > 3.3.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
lime-sysinfo is a tool to show information of your computer(Including
sysconf,device,partition, etc).  which depends on CIMOM, when using
this tool, make LIME provider has been installed and CIMOM of managed
host has been started.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q 
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
cp rfsysinfo $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/lime-sysinfo/
cp transfer.gif $RPM_BUILD_ROOT/%{_datadir}/lime-sysinfo/

## Aternate_Command_Names ##
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s lime-sysinfo set-sysmgt-sysinfo
popd

%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/lime-sysinfo
%{_bindir}/rfsysinfo
%{_bindir}/set-sysmgt-sysinfo
%{_libdir}/lmc/snapins/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%config /usr/share/applications/lime-sysinfo.desktop
/usr/share/pixmaps/lime-sysinfo.xpm
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}
%{_datadir}/%{name}/*
%{_docdir}/%{name}/*

%changelog
* Tue Jul 1 2008 He Tao <taohe@redflag-linux.com>
- handle with output function, fix bug 4552.

* Wed May 21 2008 He Tao <taohe@redflag-linux.com>
- fix bug of translation
- change the permission of temp file from output function to 600

* Wed Mar 5 2008 He Tao <taohe@redflag-linux.com>
- add complex font version of Chinese manual and update the graphics in the manule
- upgrade the version to 1.1.9

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.1.8-1.1%{?dist}
- add Aternate Command Names (symbolic link) - bugzilla 3978

* Tue Sep 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.8, the first maintenance release,
- see also package ChangeLog file for details.

* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.7, see also package ChangeLog file for details.

* Wed Jul 25 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.6, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lime-sysinfo-1.1.3-asianux-desktop_categories.patch to CVS,
- does not install desktop file to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-sysinfo-1.1.3-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.4, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, NEWS, README to package, update to new version
- 1.1.3-1, see also package ChangeLog file for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Tue May 15 2007 He Tao <taohe@redflag-linux.com>
- change kde control panel desktop file directory "/etc/sysconfig/khwtree/GroupSys" to "/etc/sysconfig/khwtree/Group2Sys"
- upgrade version to 1.1.1

* Fri May 11 2007 He Tao <taohe@redflag-linux.com>
- modify wait panel. add the gif animation instead of progress bar.

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Mon Apr 09 2007 He Tao <taohe@redflag-linux.com>
- add a link file indicated to the old tool "rfsysinfo"
- upgrade the version to 1.1.0

* Fri Mar 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- change lmc snapin location and add translate file

* Wed Jan 31 2007 He Tao <taohe@redflag-linux.com>
- autotool for Makefile; spec file ; add output function
